#if defined (_WIN32)

#include <stdio.h>
#include "CrC_User.h"

union DWORD_B
           {
		   DWORD dd;
           BYTE  bb[4];
           };
union  WORD_B
           {
		   WORD  ww;
           BYTE  bb[2];
           };
/*苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘蹹EFINES*/
/*哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌逪TONL*/
DWORD htonl( DWORD X )
{
union DWORD_B S, D;

S.dd = X;

D.bb[0] = S.bb[3];
D.bb[1] = S.bb[2];
D.bb[2] = S.bb[1];
D.bb[3] = S.bb[0];

return(D.dd);
}
/*苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘蹾TONL*/
/*哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌逪TONL*/
WORD htons( WORD X )
{
union WORD_B S, D;

S.ww = X;

D.bb[0] = S.bb[1];
D.bb[1] = S.bb[0];

return(D.ww);
}
/*苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘苘蹾TONL*/
/*哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌哌逧OF*/

#endif //_WIN32
